Saved filters

Saved agent list filters.

All paths are relative to the base path /api/v1 (same origin as the UI). Authentication, roles, pagination and the error format are described in the overview; the types are on the page Data types.

OperationRequestPermission
Own and shared saved filtersGET /saved-filtersread (viewer)
Save a filterPOST /saved-filterssaved_filters:write (viewer)
Delete an own saved filterDELETE /saved-filters/{id}saved_filters:write (viewer)

Own and shared saved filters

GET /api/v1/saved-filters

Operation listSavedFilters. Permission read (lowest role: viewer).

Parameters

NameInTypeRequiredDescription
pagequerystringnoDefault agents.

Responses

StatusDescriptionContent typeType
200Saved filtersapplication/jsonSavedFilterList
401Not authenticated (code unauthorized)application/problem+jsonProblem

Save a filter

POST /api/v1/saved-filters

Operation createSavedFilter. Permission saved_filters:write (lowest role: viewer).

Parameters

NameInTypeRequiredDescription
X-CSRF-TokenheaderstringnoRequired for cookie-authenticated mutating requests (value of cookie myriarch_csrf).

Request body

Content type application/json, required. Type: CreateSavedFilterRequest.

{
  "name": "string",
  "page": "agents",
  "query": {},
  "shared": false
}

Responses

StatusDescriptionContent typeType
201Createdapplication/jsonSavedFilter
409Conflict (code conflict)application/problem+jsonProblem
422Validation failed (code validation_failed, details in issues)application/problem+jsonProblem

Delete an own saved filter

DELETE /api/v1/saved-filters/{id}

Operation deleteSavedFilter. Permission saved_filters:write (lowest role: viewer).

Parameters

NameInTypeRequiredDescription
idpathstringyesFormat uuid.
X-CSRF-TokenheaderstringnoRequired for cookie-authenticated mutating requests (value of cookie myriarch_csrf).

Responses

StatusDescriptionContent typeType
204Deleted--
404Not found (code not_found)application/problem+jsonProblem